# Cradle

> Simple PHP library for creating Web-based applications

The library includes the following classes:

 * **Ldap**    - A simple LDAP request wrapper class. Designed to make simple LDAP requests more easy and short.
 * **Sql**     - A simple SQL (PDO) request wrapper class. Designed to make simple SQL requests more easy and short.
 * **Icmp**    - ICMP protocol wrapper.
 * **Snmp**    - SNMP protocol wrapper. (It includes automatic detection of the protocol and the version of agent).
 * **Ssh**     - A simple class to send commands to remote host through the SSH protocol.
 * **Telnet**  - A simple class to send commands to remote host through the TELNET protocol.
 * **IpPhone** - Class to remote interact with Cisco IP-phone 79xx series.
 * **Diff**    - A simple wrapper of Linux diff utility to compare text data line by line.
 * **SimpleCodeParser** - Parse source code of php-file and returns a hash array of code structure.
 * **Autogen** - Generates PHPUnit test skeletons for PHP files with classes and functions.

The library also contains a micro framework for rapid start a simple web application.

[Detailed description of the classes](http://sad-systems.ru/projects/cradle/doc/phpdoc/annotated.html)

## Documentation 

> Select a language: [![Русский](doc/img/lang/ru.gif)](doc/md/ru/readme.md) [![English](doc/img/lang/en.gif)](doc/md/en/readme.md)

## Creators

[Mr Digger](mailto://mrdigger@mail.ru)

## Copyright

Code and documentation copyright 2015 [SAD-Systems](http://sad-systems.ru)

